Rhythmbox crash with SIGSEGV (Segmentation fault) when trying to use mp3 player

Bug #885502 reported by Robbert on 2011-11-03
34
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Rhythmbox
Fix Released
Critical
gst-plugins-base0.10 (Ubuntu)
Undecided
Unassigned
Oneiric
Undecided
Unassigned
rhythmbox (Ubuntu)
Medium
Chris J Arges
Oneiric
Medium
Chris J Arges

Bug Description

[Impact]
<fill me in with explanation of severity and frequency of bug on users and justification for backporting the fix to the stable release>

[Development Fix]
<fill me in with an explanation of how the bug has been addressed in the development branch, including the relevant version numbers of packages modified in order to implement the fix. >

[Stable Fix]
<fill me in by pointing out a minimal patch applicable to the stable version of the package.>

[Text Case]
<fill me in with detailed *instructions* on how to reproduce the bug. This will be used by people later on to verify the updated package fixes the problem.>
1.
2.
3.
Broken Behavior:
Fixed Behavior:

[Regression Potential]
<fill me in with a discussion of likelihood and potential severity of regressions and how users could get inadvertently affected.

[Original Report]
64-bit Rhythmbox calls 32-bit libgstpbutils-0.10.so.0.24.0 (gstreamer) whilst 64-bit library is available. Causing crash when syncing playlists to ipod

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: rhythmbox 2.90.1~20110908-0ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-13.21-generic 3.0.6
Uname: Linux 3.0.0-13-generic x86_64
NonfreeKernelModules: fglrx
ApportVersion: 1.23-0ubuntu4
Architecture: amd64
Date: Thu Nov 3 01:28:21 2011
InstallationMedia: Ubuntu 10.04.2 LTS "Lucid Lynx" - Release amd64 (20110211.1)
ProcEnviron:
 PATH=(custom, no user)
 LANG=nl_NL.UTF-8
 SHELL=/bin/bash
SourcePackage: rhythmbox
UpgradeStatus: Upgraded to oneiric on 2011-10-17 (16 days ago)

Robbert (hiphopdandy) wrote :
Damiön la Bagh (kat-amsterdam) wrote :

Robbert's ipod is a Classic 160gb

.He started Rhythmbox
.then plugged in his iPod
.His iPod was detected
.then right clicked on the iPod icon in Rhythmbox
.chose Synchronize
.Rhythmbox synchronizes only one playlist as the others on the iPod itself do not exist
.Crash! - Rhythmbox crashes.

Nov 5 11:24:13 capricorn kernel: [ 294.774333] rhythmbox[3081]: segfault at 30 ip 00007f368e5230c0 sp 00007fff6d7bfd38 error 4 in libgstpbutils-0.10.so.0.24.0[7f368e514000+20000]
Nov 5 11:24:17 capricorn avahi-daemon[1086]: Invalid response packet from host 192.168.1.88.
Nov 5 11:25:48 capricorn kernel: [ 389.602832] rhythmbox[3135]: segfault at 8 ip 00007ff31c932f65 sp 00007fffdbe7f198 error 4 in libipod.so[7ff31c929000+13000]
Nov 5 11:25:51 capricorn avahi-daemon[1086]: Invalid response packet from host 192.168.1.88.
Nov 5 11:26:29 capricorn AptDaemon: INFO: Quitting due to inactivity
Nov 5 11:26:29 capricorn AptDaemon: INFO: Quitting was requested
Nov 5 11:33:40 capricorn kernel: [ 861.602321] rhythmbox[3251]: segfault at 8 ip 00007f1495d1ff65 sp 00007fff94f6bf78 error 4 in libipod.so[7f1495d16000+13000]

Damiön la Bagh (kat-amsterdam) wrote :

What he expected to happen:

.Start Rhythmbox
.Plug in iPod
.right click on the iPod
.choose synchronize
.a pop up window showing the playlists pops-up
.chooses a number of playlists to synchronize
.Rhythmbox transfers the playlists and tracks to the iPod
.Unplug the iPod
.Listen to music on the iPod

Damiön la Bagh (kat-amsterdam) wrote :

In Natty 11.04 before the upgrade syncing with the iPod worked perfectly in Rhythmbox

I have reinstalled rhythmbox:amd64 for Robbert
and reinstalled gstreamer:amd64

both steps did not remedy the problem.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in rhythmbox (Ubuntu):
status: New → Confirmed
Pedro Villavicencio (pedro) wrote :

Thank you taking the time to report this bug and helping to make Ubuntu better.
Please try to obtain a backtrace manually following the instructions at http://wiki.ubuntu.com/DebuggingProgramCrash and upload the backtrace (as an attachment) to the bug report. This will greatly help us in tracking down your problem.

Changed in rhythmbox (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Damiön la Bagh (kat-amsterdam) wrote :

See the attached SIGFAULT Backtrace

Damiön la Bagh (kat-amsterdam) wrote :

See attached Valgrind memory trace

Changed in rhythmbox:
importance: Unknown → Critical
status: Unknown → Fix Released
summary: - 64-bit Rhythmbox calls 32-bit libgstpbutils-0.10.so.0.24.0 (gstreamer)
- whilst 64-bit library is available. Causing crash when syncing playlists
- to ipod
+ Rhythmbox crash when syncing to ipod
summary: - Rhythmbox crash when syncing to ipod
+ Rhythmbox crash when trying to sync

This bug has been fixed upstream: (this bug has nothing to do with 32bit libraries)
https://bugzilla.gnome.org/show_bug.cgi?id=658363

I was able to reproduce today using an iPhone. I've opened Rhythmbox: right-click on the iPhone and choose 'Properties'

--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++

summary: - Rhythmbox crash when trying to sync
+ Rhythmbox crash with SIGSEGV (Segmentation fault) when using mp3 player
summary: - Rhythmbox crash with SIGSEGV (Segmentation fault) when using mp3 player
+ Rhythmbox crash with SIGSEGV (Segmentation fault) when trying to use mp3
+ player
Alex Moldovan (alexmoldovan) wrote :

Reproduced using mp3 player Sansa Clip 2GB:
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gst-plugins-base0.10 (Ubuntu):
status: New → Confirmed
Changed in rhythmbox (Ubuntu):
status: Incomplete → Confirmed
Chris J Arges (arges) wrote :

Here is the patch from upstream that fixes the aforementioned bug.

Chris J Arges (arges) wrote :

I built a test package with this patch applied to rhythmbox on oneiric and I can now get properties on my attached music player without a segfault.

Changed in rhythmbox (Ubuntu):
assignee: nobody → Chris J Arges (christopherarges)
status: Confirmed → In Progress
Chris J Arges (arges) wrote :

This bug is not present in precise.

Bryce Harrington (bryce) wrote :

Hi Arges,

Thanks for bringing in the upstream patch for inclusion in Ubuntu. I see you also attached a branch with your work at packaging the patch, and verified the issue is fixed in precise - so the work here appears to be getting the fix into Oneiric. I'll provide a review of your branch on the branch merge proposal, and tips here on this bug for how to file an SRU for releasing it to Oneiric.

Bryce Harrington (bryce) wrote :

In order to get a fix deployed for a stable release like oneiric, there are a few things that need to be done here on this bug report.

See https://wiki.ubuntu.com/StableReleaseUpdates/ for the full details.

1. Update the bug report with the following sections:

* An [Impact] section explaining the severity and frequency of the bug on users and justification for backporting the fix to the stable release

* A [Development Fix] section with an explanation of how the bug has been addressed in the development branch, including the relevant version numbers of packages modified in order to implement the fix.

* A [Stable Fix] section pointing out a minimal patch applicable to the stable version of the package. If preparing a patch is likely to be time-consuming, it may be preferable to get a general approval from the SRU team first.

* A [Test Case] section with detailed instructions how to reproduce the bug. These should allow someone who is not familiar with the affected package to reproduce the bug and verify that the updated package fixes the problem.

* A [Regression Potential] section with a discussion of likelihood and potential severity of regressions and how users could get inadvertently affected.

2. Get the branch reviewed and uploaded to oneiric-proposed

3. Subscribe the ubuntu-sru team

4. Once the upload has been approved by archive admins, test the actual binaries and follow up in the bug report with test verification.

Changed in rhythmbox (Ubuntu Oneiric):
importance: Undecided → Medium
status: New → In Progress
assignee: nobody → Chris J Arges (christopherarges)
Changed in rhythmbox (Ubuntu):
status: In Progress → Fix Released
Bryce Harrington (bryce) on 2012-01-27
description: updated

The attachment "0001-removable-media-source-fix-encoding-target-property-.patch" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-reviewers team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch

Bryce,
Thanks for all the help with this bug! Actually looks like somebody beat
me to fixing this:
https://bugs.launchpad.net/ubuntu/+source/rhythmbox/+bug/859195
So now to verify! : )
--chris j arges

On 01/27/2012 01:23 PM, Bryce Harrington wrote:
> In order to get a fix deployed for a stable release like oneiric, there
> are a few things that need to be done here on this bug report.
>
> See https://wiki.ubuntu.com/StableReleaseUpdates/ for the full details.
>
> 1. Update the bug report with the following sections:
>
> * An [Impact] section explaining the severity and frequency of the bug
> on users and justification for backporting the fix to the stable release
>
> * A [Development Fix] section with an explanation of how the bug has
> been addressed in the development branch, including the relevant version
> numbers of packages modified in order to implement the fix.
>
> * A [Stable Fix] section pointing out a minimal patch applicable to the
> stable version of the package. If preparing a patch is likely to be
> time-consuming, it may be preferable to get a general approval from the
> SRU team first.
>
> * A [Test Case] section with detailed instructions how to reproduce the
> bug. These should allow someone who is not familiar with the affected
> package to reproduce the bug and verify that the updated package fixes
> the problem.
>
> * A [Regression Potential] section with a discussion of likelihood and
> potential severity of regressions and how users could get inadvertently
> affected.
>
> 2. Get the branch reviewed and uploaded to oneiric-proposed
>
> 3. Subscribe the ubuntu-sru team
>
> 4. Once the upload has been approved by archive admins, test the actual
> binaries and follow up in the bug report with test verification.
>
>
> ** Also affects: gst-plugins-base0.10 (Ubuntu Oneiric)
> Importance: Undecided
> Status: New
>
> ** Also affects: rhythmbox (Ubuntu Oneiric)
> Importance: Undecided
> Status: New
>
> ** Changed in: rhythmbox (Ubuntu Oneiric)
> Importance: Undecided => Medium
>
> ** Changed in: rhythmbox (Ubuntu Oneiric)
> Status: New => In Progress
>
> ** Changed in: rhythmbox (Ubuntu Oneiric)
> Assignee: (unassigned) => Chris J Arges (christopherarges)
>
> ** Changed in: rhythmbox (Ubuntu)
> Status: In Progress => Fix Released
>

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gst-plugins-base0.10 (Ubuntu Oneiric):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.